Bug 1126928 - Teach spacewalk-export about kickstart, config-file, and system-profile
Summary: Teach spacewalk-export about kickstart, config-file, and system-profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client
Version: 560
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-05 15:43 UTC by Grant Gainey
Modified: 2014-10-01 12:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-01 12:27:23 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-08-05 15:43:35 UTC
spacewalk-export needs to know how to pull in kickstart-scripts, system-profile, and config-file-latest reports

Comment 1 Grant Gainey 2014-08-06 17:45:44 UTC
SW commit fb045430dd6e7eaa127af1b1644b94c761b0ee98

Comment 3 Lukas Pramuk 2014-09-08 12:09:02 UTC
VERIFIED. spacewalk-utils-2.0.2-16.el6sat.noarch

# spacewalk-export --list-entities 2>&1 | grep -e config-files-latest -e kickstart-scripts -e system-profiles
INFO:    kickstart-scripts : Kickstart scripts for all organizations
INFO:  config-files-latest : Latest revision of all configuration files
INFO:      system-profiles : System profiles for all organizations

# spacewalk-export --entities=config-files-latest,kickstart-scripts,system-profiles
INFO: Processing config-files...
INFO: Processing kickstart-scripts...
INFO: Processing system-profiles...
INFO: Export-file created at /root/spacewalk-export-dir/spacewalk_export.tar.gz

>>> spacewalk-export supports new entities <<<

Comment 4 Grant Gainey 2014-10-01 12:27:23 UTC
Released as part of Sat 6.0 GA


Note You need to log in before you can comment on or make changes to this bug.